::-webkit-scrollbar {
  width: 14px;
}
::-webkit-scrollbar-track {
  background: var(--sb-track-color);
  border-radius: 3px;
}
::-webkit-scrollbar-thumb {
  background: var(--sb-thumb-color);
  border-radius: 20px;
}
::-webkit-scrollbar-track{
    box-shadow: inset 0 0 5px rgb(48, 43, 43);
    border-radius: 10px;
}

.container{
    display: flex;
    background-color: var(--background-color);
    flex-direction: column;
    align-items: center;
}

.container div{
    background-color: #f1f1f1;
    margin:10px;
    padding: 20px;
    font-size: 30px;
}

body {
    background-color: var(--background-color);
}

.icon{
    border-radius: 30%;
    width: 500px;
    height: 500px;  
}

h1{
    font-weight: bold;
    color: #fff;
    font-family: Arial;
}

h2{
    font-weight: bold;
    color: #fff;
    font-family: Arial;
}

h3{
    font-weight: bold;
    color: #fff;
    font-family: Arial;
}

button {
    display: block;
    margin: 0 auto;
    border: none;
    border-radius: 20px;
    font-weight: bold;
    cursor: pointer;
    color: #fff;
    background-color: var(--button-color);
    padding: 10px 20px;
    font-family: Arial;
}

.homeMain{
    display:flex;
    flex-direction: column;
}

.homeBody{
    background-color: red;
}

.menubar{
    display:flex;
    flex-direction: row;

    width:95%;
    background-color: var(--container-color);
    border-radius: 20px;
    padding:10px;
    padding-left:30px;
}

#previewServer{
    height:100%;
}

#selectedServerIcon{
    width: 50px;
    height: 50px;
}

.serverSelection .preview{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap:15px;
}

.serverSelection{
    margin-left: 20;
    position: relative;
}
.serverSelection-content{
    display: none;
    flex-direction: column;
    overflow: auto;
    overflow-x:visible;
    position: absolute;
    background-color: var(--container-color);
    width: 300px;
    max-height: 70vh;
    padding: 16px 16px;
    border-radius: 20px;
    gap:16px;
}
.serverSelection:hover .serverSelection-content{
    display: flex;
}
.serverListEntry{
    display: flex;
    flex-direction: row;
    align-items: center;
    background-color: var(--item-color);
    border-radius: 25px;
    container-type: inline-size;
}
.serverListEntry .icon{
    margin:10px;
    padding: 10px;

    width: 50px;
    height: 50px;
}
.serverListEntry:hover{
    background:rgba(255,255,255,0.2);
}
.serverListEntry h1{
    font-size: 5cqw;
}

.queryYoutube {
    display:flex; 
    flex-direction: column;
    justify-content: start;
    background-color: var(--container-color);
    width: 50vw;
    height: 80vh;
    border-radius: 25px;
}

.queryInput{
    display: flex; 
    width: 100%; 
    flex-direction: row; 
    justify-content: flex-start;
    margin: 20px;
}

#youtubeQueryField {
    text-align: center;
    font-family: Arial;
    font-size: 30px;
    border: 0;
    height: 40px;
    width: 80%;
    border-radius: 10px;
    background-color: var(--item-color);
    color: #ffffff
}

.queryResultsContainer{
    display:flex;
    flex-direction: column;
    overflow: auto;
    overflow-x: visible;
    margin:20px;
    gap: 20px;
}

.queryResult{
    display:flex;
    max-width: 100%;
    max-height: 500px;
    border-radius: 20px;
    background-color: var(--item-color);
    padding: 10px;
    gap:10px;
}

.previewVideo{
    border: 0;
    aspect-ratio: 16/9; 
    max-width: 40%;
    border-radius: 20px;
}

.buttonContainer .play{
    aspect-ratio: 1/1;
    background: url('assets/play.png');
    background-size: contain;
    max-height: 50%;
    align-self: center;
    border-radius: 0px;
}

.buttonContainer .playNext{
    aspect-ratio: 1/1;
    background: url('assets/playNext.png');
    background-size: contain;
    max-height: 50%;
    align-self: center;
    border-radius: 0px;
    margin-left: auto;
}

.buttonContainer{
    display: flex;
    flex-direction: row;
    margin-left: auto;
    gap:50px;
    margin-right: 20px;
}